# List Digital Signature Providers Gets the list of all available digital signature providers. Endpoint: GET /api/v3/digital_signatures/providers Version: 3.1.0 Security: apiKeyAuth ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Response 200 fields (application/json): - `providers` (array) - `providers.id` (integer) Example: 1 - `providers.name` (string) Example: "Multicert" - `providers.description` (string) Localized text in the account language. May contain HTML (e.g. an `` link for Multicert); render or strip it accordingly. Empty string when there is no text for the provider. Example: "Digitally sign your documents using the Electronic Invoice Signing Service (SAFE)." - `providers.identifier` (string) Example: "multicert" - `providers.grant_type` (string) OAuth grant type used by this provider Example: "client_credentials" - `providers.url_image` (string) Example: "/digital_signatures/providers/multicert-logo.png" - `providers.url_guide` (string) Example: "https://invoicexpress.helpscoutdocs.com/article/347-assinatura-digital-guia-passo-a-passo-para-a-ativacao" - `providers.url_auth` (string) OAuth authorization URL to opt into this provider Example: "https://preprod.autenticacao.gov.pt/oauth/askauthorization" - `providers.in_use` (boolean) Whether this provider is the one currently active for the account - `providers.expired` (boolean,null) - `providers.expiration_date` (string,null) ## Response 401 fields (application/json): - `errors` (array) Example: [{"error":"Authentication Error"}] - `errors.error` (string) ## Response 500 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string)